classification
Title: Tkinter won't create 5000 check boxes, stops at 1309.
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Loupz, epaine, serhiy.storchaka, terry.reedy
Priority: normal Keywords:

Created on 2019-07-24 21:39 by Loupz, last changed 2020-06-16 15:29 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
tk-bug.py Loupz, 2019-07-24 21:39 python text file
tkcheck.tcl epaine, 2020-06-16 11:28
Messages (5)
msg348409 - (view) Author: Lou Perazzoli (Loupz) Date: 2019-07-24 21:39
Here's a short example.
msg348540 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-27 04:26
It stopped at 1309 for me too, running with IDLE, then added 4999 and the quit button, which did not work.  If you can, try to make the code simpler.  Here is one guide.
https://stackoverflow.com/help/minimal-reproducible-example

However, limitations in tcl/tk are out of our control.  So we may close this as 3rd party.  Python also has undocumented limitations, which we close as "won't fix".
msg348542 - (view) Author: Lou Perazzoli (Loupz) Date: 2019-07-27 05:38
Thanks for the reply. I’ll make it simpler 

Regards
Lou

> On Jul 26, 2019, at 9:26 PM, Terry J. Reedy <report@bugs.python.org> wrote:
> 
> 
> Terry J. Reedy <tjreedy@udel.edu> added the comment:
> 
> It stopped at 1309 for me too, running with IDLE, then added 4999 and the quit button, which did not work.  If you can, try to make the code simpler.  Here is one guide.
> https://stackoverflow.com/help/minimal-reproducible-example
> 
> However, limitations in tcl/tk are out of our control.  So we may close this as 3rd party.  Python also has undocumented limitations, which we close as "won't fix".
> 
> ----------
> nosy: +serhiy.storchaka, terry.reedy
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue37673>
> _______________________________________
msg371635 - (view) Author: E. Paine (epaine) * Date: 2020-06-16 11:28
I tested the demo Python script and also had it stop at 1309. I wrote a small tcl script (a simplified version of the Python demo) to test in wish (see attached) which stopped at 1058.
It is strange that tkinter stops later than wish, however I would still conclude this is a tcl problem not tkinter or Python.
msg371670 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-06-16 15:29
Lou, when you respond by email, please snip the already posted email you are responding to.  The redundant noise makes *your* message harder to read.  (Leaving an especially relevant line or two is OK.)

E.Paine.  Thank you for the confirmation.  Learning tcl/tk well enough to write test cases like this is something I have avoided, and Serhiy mostly works on other modules.  I hope you continue.
History
Date User Action Args
2020-06-16 15:29:54terry.reedysetmessages: + msg371670
2020-06-16 15:24:02terry.reedysetstatus: open -> closed
resolution: third party
stage: resolved
2020-06-16 11:28:08epainesetfiles: + tkcheck.tcl
nosy: + epaine
messages: + msg371635

2019-07-27 05:38:24Loupzsetmessages: + msg348542
2019-07-27 04:26:57terry.reedysetnosy: + terry.reedy, serhiy.storchaka
messages: + msg348540
2019-07-24 21:39:36Loupzcreate